[SA17585] Interspire ArticleLive NX "Query" SQL Injection Vulnerability

2005-11-17T00:00:00
ID SECURITYVULNS:DOC:10271
Type securityvulns
Reporter Securityvulns
Modified 2005-11-17T00:00:00

Description

TITLE: Interspire ArticleLive NX "Query" SQL Injection Vulnerability

SECUNIA ADVISORY ID: SA17585

VERIFY ADVISORY: http://secunia.com/advisories/17585/

CRITICAL: Moderately critical

IMPACT: Manipulation of data

WHERE: >From remote

SOFTWARE: Interspire ArticleLive NX http://secunia.com/product/6140/

DESCRIPTION: r0t has reported a vulnerability in Interspire ArticleLive NX, which can be exploited by malicious people to conduct SQL injection attacks.

Input passed to the "Query" parameter when performing a search isn't properly sanitised before being used in a SQL query. This can be exploited to manipulate SQL queries by injecting arbitrary SQL code.

SOLUTION: Update to Interspire ArticleLive NX.0.4.

PROVIDED AND/OR DISCOVERED BY: r0t


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.